#
# spec file for package python3-zipfile36
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-zipfile36
Version:        0.1.3
Release:        1.21
License:        Python-2.0
Summary:        Backport of the zipfile module from Python 3.6
Url:            https://gitlab.com/takluyver/zipfile36
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/z/zipfile36/zipfile36-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a backport of the zipfile module from Python 3.6,
which contains some improvements.

%prep
%setup -q -n zipfile36-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 test_zipfile.py

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Tue Oct 18 2016 toddrme2178@gmail.com
- Initial version
